Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 312935 - media-gfx/ufraw: Optionalize more dependencies and improve metadata.xml
Summary: media-gfx/ufraw: Optionalize more dependencies and improve metadata.xml
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-03 09:24 UTC by David King
Modified: 2021-07-26 02:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
remove automagic dependencies (ufraw-0.17-no-automagics.patch,4.47 KB, patch)
2010-04-03 09:25 UTC, David King
Details | Diff
updated ebuild (ufraw-0.17.ebuild.patch,2.39 KB, patch)
2010-04-03 09:26 UTC, David King
Details | Diff
updated metadata (ufraw-metadata.xml.patch,1.55 KB, patch)
2010-04-03 09:26 UTC, David King
Details | Diff
fix metadata patch (metadata.xml.patch,1.56 KB, patch)
2010-04-05 19:46 UTC, David King
Details | Diff
correct automagic patch (ufraw-0.17-no-automagics.patch,4.05 KB, patch)
2010-08-09 06:47 UTC, David King
Details | Diff
no 0.19 automagics (ufraw-0.19-no-automagics.patch,4.46 KB, patch)
2013-03-05 22:05 UTC, David King
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David King 2010-04-03 09:24:44 UTC
UFRaw 0.17 has lots of automagic dependencies. An in-tree patch fixes the cfitsio dependency, but nothing else. The current ufraw-0.17.ebuild also has incorrect dependencies for lcms, exiv2 and gtkimageview. It also misses dependencies for glib (checked with pkg-config) and perl (required for pod2man). The gconf schema installation does not work (see bug 295083 for details). MANIFEST is missing from dodoc. The mime type registration is not required with shared-mime-info >= 0.21 (only versions which satisfy the dependency are in portage). metadata.xml also needs an update.

Attaching new automagics patch and diffs to in-tree ebuild that fix all the above problems, tested on amd64 and x86 (keywording only lensfun and ufraw).
Comment 1 David King 2010-04-03 09:25:25 UTC
Created attachment 226359 [details, diff]
remove automagic dependencies
Comment 2 David King 2010-04-03 09:26:00 UTC
Created attachment 226361 [details, diff]
updated ebuild
Comment 3 David King 2010-04-03 09:26:25 UTC
Created attachment 226363 [details, diff]
updated metadata
Comment 4 David King 2010-04-05 19:46:12 UTC
Created attachment 226671 [details, diff]
fix metadata patch

Add missing </flag> to metadata patch.
Comment 5 David King 2010-08-09 06:47:26 UTC
Created attachment 241919 [details, diff]
correct automagic patch

The old automagic patch did not use defines to mark found libraries, fixed in this version.
Comment 6 David King 2013-03-05 22:05:51 UTC
Created attachment 341044 [details, diff]
no 0.19 automagics

Updated patch for 0.19, only briefly tested.
Comment 7 Nikoli 2015-04-21 17:25:40 UTC
Did you try submitting your patch upstream?
Comment 8 Larry the Git Cow gentoo-dev 2021-06-25 21:22:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4789b3a217c455255ac641ce403f940ec1f92432

commit 4789b3a217c455255ac641ce403f940ec1f92432
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-04-13 21:39:20 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-06-25 21:22:13 +0000

    profiles: Mask media-gfx/ufraw for removal
    
    Bug: https://bugs.gentoo.org/312935
    Bug: https://bugs.gentoo.org/341923
    Bug: https://bugs.gentoo.org/629050
    Bug: https://bugs.gentoo.org/739984
    Bug: https://bugs.gentoo.org/775761
    Bug: https://bugs.gentoo.org/777534
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2021-07-26 02:38:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=699a7159a7d6c00cc571191e2a8ccd884e8fb670

commit 699a7159a7d6c00cc571191e2a8ccd884e8fb670
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-07-26 02:33:02 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-07-26 02:33:02 +0000

    media-gfx/ufraw: treeclean
    
    Bug: https://bugs.gentoo.org/312935
    Bug: https://bugs.gentoo.org/341923
    Bug: https://bugs.gentoo.org/629050
    Bug: https://bugs.gentoo.org/739984
    Bug: https://bugs.gentoo.org/775761
    Bug: https://bugs.gentoo.org/777534
    Signed-off-by: Sam James <sam@gentoo.org>

 media-gfx/ufraw/Manifest                           |  1 -
 .../ufraw/files/ufraw-0.17-cfitsio-automagic.patch | 28 ------
 .../ufraw/files/ufraw-0.22-CVE-2015-8366.patch     | 17 ----
 .../ufraw/files/ufraw-0.22-CVE-2018-19655.patch    | 44 ----------
 media-gfx/ufraw/files/ufraw-0.22-crashfix.patch    | 15 ----
 .../files/ufraw-0.22-drop_superfluous_abs.patch    | 16 ----
 media-gfx/ufraw/files/ufraw-0.22-exiv2-0.27.patch  | 26 ------
 .../ufraw/files/ufraw-0.22-fix-unsigned-char.patch | 20 -----
 media-gfx/ufraw/files/ufraw-0.22-gcc9.patch        | 97 ---------------------
 media-gfx/ufraw/files/ufraw-0.22-glib-2.68.patch   | 19 -----
 .../ufraw/files/ufraw-0.22-jasper-automagic.patch  | 21 -----
 media-gfx/ufraw/files/ufraw-0.22-jpeg9.patch       | 32 -------
 media-gfx/ufraw/metadata.xml                       | 13 ---
 media-gfx/ufraw/ufraw-0.22-r4.ebuild               | 99 ----------------------
 14 files changed, 448 deletions(-)
Comment 10 Sam James archtester gentoo-dev Security 2021-07-26 02:39:48 UTC
Last-rited package removed.